import request from '@/utils/request'

// 查询救援车辆信息列表
export function listRescueCar(query) {
  return request({
    url: '/system/rescueCar/list',
    method: 'get',
    params: query
  })
}

// 查询救援车辆信息详细
export function getRescueCar(id) {
  return request({
    url: '/system/rescueCar/' + id,
    method: 'get'
  })
}

// 新增救援车辆信息
export function addRescueCar(data) {
  return request({
    url: '/system/rescueCar',
    method: 'post',
    data: data
  })
}

// 修改救援车辆信息
export function updateRescueCar(data) {
  return request({
    url: '/system/rescueCar',
    method: 'put',
    data: data
  })
}

// 删除救援车辆信息
export function delRescueCar(id) {
  return request({
    url: '/system/rescueCar/' + id,
    method: 'delete'
  })
}
